
package com.tmerclub.cloud.supplier.vo.mongo;

import io.swagger.v3.oas.annotations.media.Schema;
import org.springframework.data.mongodb.core.mapping.Document;

import java.io.Serial;
import java.io.Serializable;

/**
 * 供应商钱包信息VO
 * @author TRACK
 */
@Document("supplier_wallet_log")
public class MongoSupplierWalletVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "供应商id")
    private Long supplierId;

    @Schema(description = "未结算金额（收入）")
    private Long inUnsettleAmount;

    @Schema(description = "未结算金额（支出）")
    private Long outUnsettleAmount;

    @Schema(description = "已结算金额")
    private Long totalSettleAmount;

    @Schema(description = "冻结金额（收入）")
    private Long inFreezeAmount;

    @Schema(description = "冻结金额（支出）")
    private Long outFreezeAmount;

    public Long getSupplierId() {
        return supplierId;
    }

    public void setSupplierId(Long supplierId) {
        this.supplierId = supplierId;
    }

    public Long getInUnsettleAmount() {
        return inUnsettleAmount;
    }

    public void setInUnsettleAmount(Long inUnsettleAmount) {
        this.inUnsettleAmount = inUnsettleAmount;
    }

    public Long getOutUnsettleAmount() {
        return outUnsettleAmount;
    }

    public void setOutUnsettleAmount(Long outUnsettleAmount) {
        this.outUnsettleAmount = outUnsettleAmount;
    }

    public Long getTotalSettleAmount() {
        return totalSettleAmount;
    }

    public void setTotalSettleAmount(Long totalSettleAmount) {
        this.totalSettleAmount = totalSettleAmount;
    }

    public Long getInFreezeAmount() {
        return inFreezeAmount;
    }

    public void setInFreezeAmount(Long inFreezeAmount) {
        this.inFreezeAmount = inFreezeAmount;
    }

    public Long getOutFreezeAmount() {
        return outFreezeAmount;
    }

    public void setOutFreezeAmount(Long outFreezeAmount) {
        this.outFreezeAmount = outFreezeAmount;
    }

    @Override
    public String toString() {
        return "MongoSupplierWalletVO{" +
                "supplierId=" + supplierId +
                ", inUnsettleAmount=" + inUnsettleAmount +
                ", outUnsettleAmount=" + outUnsettleAmount +
                ", totalSettleAmount=" + totalSettleAmount +
                ", inFreezeAmount=" + inFreezeAmount +
                ", outFreezeAmount=" + outFreezeAmount +
                '}';
    }
}
